Bug 862951 - last log shows multiple crashes but only 1 experienced.
last log shows multiple crashes but only 1 experienced.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 22:37 EDT by George R. Goffe
Modified: 2012-11-29 08:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 08:09:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzip'd /var/log/messages from time before/after the crash (11.93 KB, application/x-gzip)
2012-10-03 22:44 EDT, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2012-10-03 22:37:39 EDT
Description of problem:

My system just powered itself off. Examining the last log shows multiple crashes. This is the ONLY crash I have experienced.

Version-Release number of selected component (if applicable):

3.4.11-1.fc16.x86_64 #1 SMP Sun Sep 16 13:50:06 UTC 2012 x86_64 GNU/Linux

How reproducible:

unknown

Steps to Reproduce:
1.unknown
2.
3.
  
Actual results:

one system crash so far

Expected results:

no crashes expected

Additional info:

     16 root     pts/3        :0               Wed Oct  3 12:28   still logged in   
     17 root     pts/0        :0               Wed Oct  3 12:28   still logged in   
     18 root     tty1                          Wed Oct  3 12:27   still logged in   
     19 reboot   system boot  3.4.11-1.fc16.x8 Wed Oct  3 12:25 - 19:32  (07:06)    
     20 root     pts/25       :0               Wed Oct  3 19:10 - crash  (-6:-45)   
     21 root     pts/24       :0               Tue Oct  2 15:15 - crash  (21:10)    
     22 root     pts/23       :0               Tue Oct  2 15:15 - crash  (21:10)    
     23 root     pts/22       :0               Tue Oct  2 15:15 - crash  (21:10)    
     24 root     pts/21       :0               Tue Oct  2 15:15 - crash  (21:10)    
     25 root     pts/20       :0               Tue Oct  2 01:19 - crash (1+11:06)   
     26 root     pts/19       :0               Mon Oct  1 13:41 - crash (1+22:44)   
     27 root     pts/18       :0               Sat Sep 29 23:01 - crash (3+13:24)   
     28 root     pts/17       :0               Sat Sep 29 23:01 - crash (3+13:24)
Comment 1 George R. Goffe 2012-10-03 22:44:01 EDT
Created attachment 621259 [details]
gzip'd /var/log/messages from time before/after the crash

Examining this /var/log/messages file shows some REALLY odd times. One would expect the time of a boot to be after the most previous line in the file. This is not the case. Is it part of the problem?
Comment 2 Dave Jones 2012-10-23 11:31:11 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 George R. Goffe 2012-10-23 13:02:12 EDT
Dave,

Yum is having trouble with the kernel update mentioned above. Am I doing something wrong?

George...

yum -y update
Loaded plugins: aliases, auto-update-debuginfo, changelog, downloadonly, fastestmirror, filter-data, fs-snapshot, keys, langpacks, list-data, local, merge-conf, post-transaction-actions, priorities, protectbase, ps,
              : puppetverify, refresh-packagekit, refresh-updatesd, remove-with-leaves, rpm-warm-cache, security, show-leaves, tmprepo, tsflags, upgrade-helper, verify, versionlock
Loading mirror speeds from cached hostfile
 * fedora: mirrors.kernel.org
 * fedora-debuginfo: mirrors.kernel.org
 * fedora-source: mirrors.kernel.org
 * updates: mirrors.kernel.org
 * updates-debuginfo: mirrors.kernel.org
 * updates-source: mirrors.kernel.org
 * updates-testing-source: mirrors.kernel.org
Skipping filters plugin, no data
0 packages excluded due to repository protections
Resolving Dependencies
Skipping filters plugin, no data
--> Running transaction check
---> Package bind.x86_64 32:9.8.3-4.P3.fc16 will be updated
---> Package bind.x86_64 32:9.8.4-2.fc16 will be an update
---> Package bind-chroot.x86_64 32:9.8.3-4.P3.fc16 will be updated
---> Package bind-chroot.x86_64 32:9.8.4-2.fc16 will be an update
---> Package bind-libs.x86_64 32:9.8.3-4.P3.fc16 will be updated
---> Package bind-libs.x86_64 32:9.8.4-2.fc16 will be an update
---> Package bind-libs-lite.x86_64 32:9.8.3-4.P3.fc16 will be updated
---> Package bind-libs-lite.x86_64 32:9.8.4-2.fc16 will be an update
---> Package bind-license.noarch 32:9.8.3-4.P3.fc16 will be updated
---> Package bind-license.noarch 32:9.8.4-2.fc16 will be an update
---> Package bind-utils.x86_64 32:9.8.3-4.P3.fc16 will be updated
---> Package bind-utils.x86_64 32:9.8.4-2.fc16 will be an update
---> Package dhclient.x86_64 12:4.2.4-3.P2.fc16 will be updated
---> Package dhclient.x86_64 12:4.2.4-4.P2.fc16 will be an update
---> Package dhcp-common.x86_64 12:4.2.4-3.P2.fc16 will be updated
---> Package dhcp-common.x86_64 12:4.2.4-4.P2.fc16 will be an update
---> Package dhcp-libs.x86_64 12:4.2.4-3.P2.fc16 will be updated
---> Package dhcp-libs.x86_64 12:4.2.4-4.P2.fc16 will be an update
---> Package jetty.noarch 0:6.1.26-8.fc16 will be updated
---> Package jetty.noarch 0:6.1.26-9.fc16 will be an update
---> Package kernel.x86_64 0:3.6.2-1.fc16 will be installed
---> Package kernel-debug.x86_64 0:3.6.2-1.fc16 will be installed
---> Package kernel-debug-debuginfo.x86_64 0:3.4.11-1.fc16 will be updated
---> Package kernel-debug-debuginfo.x86_64 0:3.6.2-1.fc16 will be an update
---> Package kernel-debug-devel.x86_64 0:3.6.2-1.fc16 will be installed
---> Package kernel-debuginfo.x86_64 0:3.4.11-1.fc16 will be updated
---> Package kernel-debuginfo.x86_64 0:3.6.2-1.fc16 will be an update
---> Package kernel-debuginfo-common-x86_64.x86_64 0:3.4.11-1.fc16 will be updated
---> Package kernel-debuginfo-common-x86_64.x86_64 0:3.6.2-1.fc16 will be an update
---> Package kernel-devel.x86_64 0:3.6.2-1.fc16 will be installed
---> Package kernel-doc.noarch 0:3.4.11-1.fc16 will be updated
---> Package kernel-doc.noarch 0:3.6.2-1.fc16 will be an update
---> Package kernel-headers.x86_64 0:3.4.11-1.fc16 will be updated
---> Package kernel-headers.x86_64 0:3.6.2-1.fc16 will be an update
---> Package kernel-tools.x86_64 0:3.4.11-1.fc16 will be updated
--> Processing Dependency: libcpupower.so.0()(64bit) for package: 1:gnome-applets-3.2.1-2.fc16.x86_64
--> Processing Dependency: libcpupower.so.0()(64bit) for package: kernel-tools-3.6.2-1.fc16.x86_64
--> Processing Dependency: libcpupower.so.0()(64bit) for package: kernel-tools-devel-3.4.11-1.fc16.x86_64
--> Processing Dependency: kernel-tools = 3.4.11-1.fc16 for package: kernel-tools-devel-3.4.11-1.fc16.x86_64
---> Package kernel-tools.x86_64 0:3.6.2-1.fc16 will be an update
---> Package kernel-tools-debuginfo.x86_64 0:3.4.11-1.fc16 will be updated
---> Package kernel-tools-debuginfo.x86_64 0:3.6.2-1.fc16 will be an update
---> Package openjpeg-libs.x86_64 0:1.4-13.fc16 will be updated
---> Package openjpeg-libs.x86_64 0:1.4-14.fc16 will be an update
---> Package oxygen-gtk2.x86_64 0:1.3.0-1.fc16 will be updated
---> Package oxygen-gtk2.x86_64 0:1.3.1-1.fc16 will be an update
---> Package oxygen-gtk3.x86_64 1:1.1.0-1.fc16 will be updated
---> Package oxygen-gtk3.x86_64 1:1.1.1-1.fc16 will be an update
---> Package wget.x86_64 0:1.12-4.fc16 will be updated
---> Package wget.x86_64 0:1.12-6.fc16 will be an update
--> Running transaction check
---> Package kernel-tools.x86_64 0:3.4.11-1.fc16 will be updated
--> Processing Dependency: kernel-tools = 3.4.11-1.fc16 for package: kernel-tools-devel-3.4.11-1.fc16.x86_64
---> Package kernel-tools-libs.x86_64 0:3.6.2-1.fc16 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.4.9-1.fc16 will be erased
---> Package kernel-debug.x86_64 0:3.4.9-1.fc16 will be erased
---> Package kernel-debug-devel.x86_64 0:3.4.9-1.fc16 will be erased
---> Package kernel-devel.x86_64 0:3.4.9-1.fc16 will be erased
---> Package kernel-tools.x86_64 0:3.4.11-1.fc16 will be updated
--> Processing Dependency: kernel-tools = 3.4.11-1.fc16 for package: kernel-tools-devel-3.4.11-1.fc16.x86_64
--> Finished Dependency Resolution
Error: Package: kernel-tools-devel-3.4.11-1.fc16.x86_64 (@_local)
           Requires: kernel-tools = 3.4.11-1.fc16
           Removing: kernel-tools-3.4.11-1.fc16.x86_64 (@_local)
               kernel-tools = 3.4.11-1.fc16
           Updated By: kernel-tools-3.6.2-1.fc16.x86_64 (updates)
               kernel-tools = 3.6.2-1.fc16
           Available: kernel-tools-3.1.0-7.fc16.i686 (fedora)
               kernel-tools = 3.1.0-7.fc16
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 4 George R. Goffe 2012-10-24 01:26:29 EDT
New info. I installed all but the kernel updates above then started with kernel-* updates.

I had to remove kernel-tools and kernel-tools-devel and then re-install them. Here's what happened next (short version first):

yum install kernel-tools-devel
---snip---
Error: Protected multilib versions: kernel-tools-3.1.0-7.fc16.i686 != kernel-tools-3.6.2-1.fc16.x86_64


yum install kernel-tools-devel
Loaded plugins: aliases, auto-update-debuginfo, changelog, downloadonly, fastestmirror, filter-data, fs-snapshot, keys, langpacks, list-data, local, merge-conf, post-transaction-actions, priorities, protectbase, ps,
              : puppetverify, refresh-packagekit, refresh-updatesd, remove-with-leaves, rpm-warm-cache, security, show-leaves, tmprepo, tsflags, upgrade-helper, verify, versionlock
Loading mirror speeds from cached hostfile
 * fedora: mirror.lib.ucdavis.edu
 * fedora-debuginfo: mirror.lib.ucdavis.edu
 * fedora-source: mirrors.kernel.org
 * updates: mirrors.kernel.org
 * updates-debuginfo: mirrors.kernel.org
 * updates-source: mirrors.kernel.org
 * updates-testing-source: mirrors.kernel.org
_local                                                                                                                                                                                          | 2.9 kB     00:00 ... 
_local/primary_db                                                                                                                                                                               | 108 kB     00:00 ... 
Skipping filters plugin, no data
0 packages excluded due to repository protections
Resolving Dependencies
Skipping filters plugin, no data
--> Running transaction check
---> Package kernel-tools-devel.x86_64 0:3.1.0-7.fc16 will be installed
--> Processing Dependency: kernel-tools = 3.1.0-7.fc16 for package: kernel-tools-devel-3.1.0-7.fc16.x86_64
--> Running transaction check
---> Package kernel-tools.i686 0:3.1.0-7.fc16 will be installed
--> Processing Dependency: libperl.so for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libdw.so.1 for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libdw.so.1(ELFUTILS_0.130) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libpython2.7.so.1.0 for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libdw.so.1(ELFUTILS_0.122) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libnewt.so.0.52 for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libdw.so.1(ELFUTILS_0.143) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libelf.so.1(ELFUTILS_1.0) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libpci.so.3 for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libpci.so.3(LIBPCI_3.0) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libslang.so.2(SLANG2) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libnewt.so.0.52(NEWT_0.52) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libelf.so.1 for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libdw.so.1(ELFUTILS_0.142) for package: kernel-tools-3.1.0-7.fc16.i686
--> Processing Dependency: libslang.so.2 for package: kernel-tools-3.1.0-7.fc16.i686
--> Running transaction check
---> Package elfutils-libelf.i686 0:0.154-2.fc16 will be installed
---> Package elfutils-libs.i686 0:0.154-2.fc16 will be installed
--> Processing Dependency: liblzma.so.5 for package: elfutils-libs-0.154-2.fc16.i686
--> Processing Dependency: libbz2.so.1 for package: elfutils-libs-0.154-2.fc16.i686
---> Package newt.i686 0:0.52.14-1.fc16 will be installed
--> Processing Dependency: libpopt.so.0 for package: newt-0.52.14-1.fc16.i686
--> Processing Dependency: libpopt.so.0(LIBPOPT_0) for package: newt-0.52.14-1.fc16.i686
---> Package pciutils-libs.i686 0:3.1.7-6.fc16 will be installed
---> Package perl-libs.i686 4:5.14.2-201.fc16 will be installed
---> Package python-libs.i686 0:2.7.3-4.fc16 will be installed
--> Processing Dependency: libgdbm_compat.so.3 for package: python-libs-2.7.3-4.fc16.i686
--> Processing Dependency: libgdbm.so.3 for package: python-libs-2.7.3-4.fc16.i686
--> Processing Dependency: libdb-4.8.so for package: python-libs-2.7.3-4.fc16.i686
---> Package slang.i686 0:2.2.4-1.fc16 will be installed
--> Running transaction check
---> Package bzip2-libs.i686 0:1.0.6-3.fc15 will be installed
---> Package db4.i686 0:4.8.30-3.fc15 will be installed
---> Package gdbm.i686 0:1.8.3-9.fc15 will be installed
---> Package popt.i686 0:1.13-9.fc16 will be installed
---> Package xz-libs.i686 0:5.1.1-1alpha.fc16 will be installed
--> Finished Dependency Resolution
Error: Protected multilib versions: kernel-tools-3.1.0-7.fc16.i686 != kernel-tools-3.6.2-1.fc16.x86_64
Comment 5 Josh Boyer 2012-11-28 11:43:11 EST
The last two comments really have nothing to do with a "crash".  The attached logs don't have a crash in them.

I'm not sure what this bug is supposed to be reporting?
Comment 6 George R. Goffe 2012-11-28 18:47:56 EST
Josh,

The output of the "last" command lists several "crash" strings. These are not crashes?

This bug is from before the new kernel you pushed out a few weeks ago now.

I'm not sure the problem still exists.

You could close this bug report and I'll re-file if I see the problem again.

What do you think?

Regards,

George...
Comment 7 Josh Boyer 2012-11-29 08:09:56 EST
(In reply to comment #6)
> Josh,
> 
> The output of the "last" command lists several "crash" strings. These are
> not crashes?
> 
> This bug is from before the new kernel you pushed out a few weeks ago now.
> 
> I'm not sure the problem still exists.
> 
> You could close this bug report and I'll re-file if I see the problem again.
> 
> What do you think?

Yeah, we'll do that.  We need the actual kernel backtrace from the crash if we're going to make any kind of progress.

Note You need to log in before you can comment on or make changes to this bug.